Package twisted :: Package web :: Module client |
[frames | no frames]

## Module twisted.web.client

HTTP client.

API Stability: unstable

Classes
`HTTPClientFactory` | Download a given URL.
`HTTPDownloader` | Download to a file.
`HTTPPageDownloader` |
`HTTPPageGetter` |

Function Summary
| `_parse(url, defaultPort)`
| `downloadPage(url, file, contextFactory, *args, **kwargs)`
| ``getPage`(url, contextFactory, *args, **kwargs)` download a web page

Function Details

### getPage(url, contextFactory=None, *args, **kwargs) download a web page Download a page. Return a deferred, which will callback with a page or errback with a description of the error.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:10 2003 | http://epydoc.sf.net